package com.mortals.xhx.module.datum.web;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.datum.model.DatumCategoryQuery;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.ObjectUtils;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.datum.model.DatumCategoryEntity;
import com.mortals.xhx.module.datum.service.DatumCategoryService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 材料分类
*
* @author zxfei
* @date 2023-06-21
*/
@RestController
@RequestMapping("datum/category")
public class DatumCategoryController extends BaseCRUDJsonBodyMappingController<DatumCategoryService,DatumCategoryEntity,Long> {

    @Autowired
    private ParamService paramService;

    public DatumCategoryController(){
        super.setModuleDesc( "材料分类");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }


    @Override
    protected void batchSaveBefore(List<DatumCategoryEntity> list, Map<String, Object> model, Context context) throws AppException {
        super.batchSaveBefore(list, model, context);
        for (DatumCategoryEntity entity : list) {
            DatumCategoryQuery datumCategoryQuery = new DatumCategoryQuery();
            datumCategoryQuery.setMaterialId(entity.getMaterialId());
            datumCategoryQuery.setCategoryId(entity.getCategoryId());
            DatumCategoryEntity datumCategoryEntity = this.service.selectOne(datumCategoryQuery, context);
            if(!ObjectUtils.isEmpty(datumCategoryEntity)){
                entity.setId(datumCategoryEntity.getId());
            }
        }

    }
}